---
layout: handbook-page-toc
title: Govern sub-department
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

The Govern engineering sub-department is responsible for the [Govern Stage](/handbook/product/categories/#govern-stage) of the product.

* [Threat Insights](threat-insights/)
* [Security Policies](security-policies/)

## Vision

Help users manage security vulnerabilities, policies, and compliance across their organization.

## Sub-department development people leaders

<%=
departments = ['Govern']
department_regexp = /(#{Regexp.union(departments)})/

direct_team(role_regexp: department_regexp, manager_slug: 'pcalder')
%>

### Threat Insights
<%=  direct_team(role_regexp: /Engineer(.*)Govern:Threat Insights/, manager_slug: 'nmccorrison') %>
<%=  direct_team(role_regexp: /Engineer(.*)Govern:Threat Insights/, manager_slug: 'thiagofigueiro') %>

### Security Policies
<%=  direct_team(role_regexp: /Engineer(.*)Govern:Security Policies/, manager_slug: 'nmccorrison') %>
<%=  direct_team(role_regexp: /Engineer(.*)Govern:Security Policies/, manager_slug: 'thiagofigueiro') %>
## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(
      role_regexp: /[,&] Govern/,
      direct_manager_role: nil,
      other_manager_roles: [
        'Fullstack Engineering Manager, Govern:Threat Insights, Govern:Security Policies',
        'Fullstack Engineering Manager, Govern:Threat Insights, Govern:Security Policies',
        'Director of Engineering for Growth, Sec, and ModelOps',
        'Senior Engineering Manager, Anti-Abuse, Govern, and Growth'
      ])
%>

## Skills

Because we have a wide range of domains to cover, it requires a lot of different expertise and skills:

| Technology skills  | Areas of interest         |
| -------------------|---------------------------|
| Ruby on Rails      | Backend development       |
| Go                 | Backend development       |
| Vue, Vuex          | Frontend development      |
| GraphQL            | _Various_                 |
| SQL (PostgreSQL)   | _Various_                 |
| Docker/Kubernetes  | Threat Detection          |


## Engineering Refinement & Planning

We are constantly iterating on our [planning process](./planning/) as a team. To maximize our velocity and meet our deliverables, we follow a [refinement process for all issues](./planning/#refinement).

#### Cross-functional Backlog

**[Sisense](https://app.periscopedata.com/app/gitlab/1000952/Interdepartment-Embedded-Dashboard)**

We also track our backlog of issues, including past due security and infradev issues, and total open SUS-impacting issues and bugs.

<%= partial "handbook/engineering/metrics/partials/_backlog_dashboard.erb", locals: { filter_type: filter_type_for("quality", "stage"), filter_value: filter_value_for("quality", "stage", "govern") } %>

#### Merged Merge Request Types

**[Sisense](https://app.periscopedata.com/app/gitlab/976854/Merge-Request-Types-Detail)**

MR Type labels help us report what we're working on to industry analysts in a way that's consistent across the engineering department. The dashboard below shows the trend of MR Types over time and a list of merged MRs.

<%= partial "handbook/engineering/metrics/partials/_mr_types_dashboard.erb", locals: { filter_type: filter_type_for("quality", "stage"), filter_value: filter_value_for("quality", "stage", "govern") } %>

### Product Documentation Links

* [Security Dashboard](https://docs.gitlab.com/ee/user/application_security/security_dashboard/)
* [Vulnerability Pages](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/)
* [Security scanner integration](https://docs.gitlab.com/ee/development/integrations/secure.html)
* [Secure and Govern terminology](https://docs.gitlab.com/ee/user/application_security/terminology/)

### Slack

* Stage [#s_govern](https://gitlab.slack.com/archives/s_govern)
* Sub-department [#sd_govern_engineering](https://gitlab.slack.com/archives/C040C6LNANB)
* Group [#g_govern_security_policies](https://gitlab.slack.com/archives/CU9V380HW)
* Group [#g_govern_threat_insights](https://gitlab.slack.com/archives/CV09DAXEW)

### Technical Documentation Links

* [End-to-end tests](https://gitlab.com/gitlab-org/gitlab/blob/master/qa/qa/specs/features/ee/browser_ui/10_protect)
